Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1513171

Summary: Please make a new release of libgit2-glib
Product: [Fedora] Fedora Reporter: David Shea <dshea>
Component: libgit2-glibAssignee: Ignacio Casal Quinteiro (nacho) <icq>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: icq, ignatenko, klember, walter.pete
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: libgit2-glib-0.26.2-1.fc27 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 11:21:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1514208    

Description David Shea 2017-11-14 21:24:00 UTC
Description of problem:
The annotation changes in https://github.com/GNOME/libgit2-glib/pull/2 (merged to master but not yet in a release) change the types of the functions as used via gobject-introspection bindings, and we need these new bindings in order to package code that uses them. Would it be possible to create a new release of libgit2-glib that includes the changes? Thanks.


Version-Release number of selected component (if applicable):
libgit2-glib-0.26.0-2.fc27.x86_64

Comment 1 David Shea 2017-11-30 18:56:24 UTC
Could we get a timeline on this? This change is currently blocking work in weldr. Thanks.

Comment 2 Ignacio Casal Quinteiro (nacho) 2017-11-30 19:27:15 UTC
Sorry for missing this. I just released it. Cheers.

Comment 3 Fedora Update System 2017-12-01 00:47:33 UTC
libgit2-glib-0.26.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc597f3aec

Comment 4 David Shea 2017-12-01 15:01:32 UTC
Cool, thanks!

Comment 5 Fedora Update System 2017-12-02 19:54:55 UTC
libgit2-glib-0.26.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc597f3aec

Comment 6 Fedora Update System 2017-12-12 11:21:39 UTC
libgit2-glib-0.26.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.